Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31096 - Create a new wiki for Wikimedia Bangladesh
Create a new wiki for Wikimedia Bangladesh
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: ops
Depends on: 31624
Blocks: wikis-to-create 40760
  Show dependency treegraph
 
Reported: 2011-09-22 15:01 UTC by Tanvir Rahman
Modified: 2012-10-04 09:53 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tanvir Rahman 2011-09-22 15:01:48 UTC
Please create the chapter wiki, Wikimedia Bangladesh. The creation of this chapter is currently under processing. A chapter wiki is needed for online collaboration among volunteers.

URL: http://bd.wikimedia.org
Primary site language: Bengali (bn)
Site name: Wikimedia Bangladesh
Logo: http://commons.wikimedia.org/wiki/File:Wikimedia_Bangladesh-logo_en.png

Other settings will be as usual like any normal Wikimedia sites. Feel free to ask question (about settings or anything) if you have any. See also:

[1] http://meta.wikimedia.org/wiki/Wikimedia_Bangladesh
[2] http://meta.wikimedia.org/wiki/Wikimedia_chapters#Planned_chapters

Thanks in advance!
Comment 1 Tanvir Rahman 2011-09-23 01:20:52 UTC
Translation for Project and project talk namespaces:

Project --> উইকিমিডিয়া বাংলাদেশ
Project talk --> উইকিমিডিয়া বাংলাদেশ আলোচনা

Thanks!
Comment 2 Tanvir Rahman 2011-10-03 03:33:46 UTC
The logo of the new wiki should be this:
http://commons.wikimedia.org/wiki/File:Wikimedia_Bangladesh_logo.png

A SVG version is also available:
http://commons.wikimedia.org/wiki/File:Wikimedia_Bangladesh_logo.svg
Comment 3 Rob Halsell 2011-10-07 14:05:08 UTC
Tanvir,  You need to link to a logo that is the proper size.  Those are far too large is my understanding.  Otherwise the project is not yet done, and I have to escalate it to a DEV due to script issues.  


Initilizesettings is updated, along with DNS.

The rest of this is pretty much notes for our use in setting this up:

Upon running the script, I get the following:

robh@fenari:/home/wikipedia/common/wmf-deployment$ mwscript addwiki.php --wiki=aawiki bn wikimedia bdwikimedia bd.wikimedia.org
$wgVersionNumber is not set, please use MWScript.php wrapper.
robh@fenari:/home/wikipedia/common/wmf-deployment$ mwscript addwiki.php  bn wikimedia bdwikimedia bd.wikimedia.org
wikiversions.cdb has no version entry for `bn`.


Assigning ticket to Aaron, as this is due to HET deploy changes that he made, under advisement from Reedy.

The DNS change has been made, so this is no longer an ops blocking issue.  Any dev with deployment rights can now push new wikis.

That being said, whoever fixes this script, NEEDS to update http://wikitech.wikimedia.org/view/Add_a_wiki
Comment 4 Rob Halsell 2011-10-07 14:07:47 UTC
Oh, in addition, the apache config changes have been made and rolled live.  Basically only addwiki and the other remaining steps (minus dns) that come after it on the how to add a wiki page need to be done.
Comment 5 Tanvir Rahman 2011-10-07 14:13:39 UTC
Rob, what is the proper size of the logo? Like this one: http://commons.wikimedia.org/wiki/File:Wikimedia-logo-meta.png ? If so, then I can just reduce the size.
Comment 6 Aaron Schulz 2011-10-07 19:19:33 UTC
Het Deploy problem fixed in r99231.

Running that addwiki command I get:
aaron@fenari:~$ mwscript addwiki.php --wiki=aawiki bn wikimedia bdwikimedia bd.wikimedia.org
Creating database bdwikimedia for bn.wikimedia (বাà¦à¦²à¦¾)
Initialising tables
A database error has occurred.  Did you forget to run maintenance/update.php after upgrading?  See: http://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: CREATE FULLTEXT INDEX si_title ON `searchindex` (si_title)

Function: DatabaseBase::sourceFile( /home/wikipedia/common/php-1.18/maintenance/tables.sql )
Error: 1283 Column 'si_title' cannot be part of FULLTEXT index (10.0.6.44)
Comment 7 Rob Halsell 2011-10-07 19:30:21 UTC
Tanvir,

Correct, you need to reduce the resolution and file size to match the standard logo specifications.

Otherwise we are still actively working on getting this project deployed for you guys.  The logo is not in any shape or form holding this up.  The background information is we recently made some major changes to our method of deploying code across our cluster, and this project just happens to be the lucky first new project addition since the change.

Rest assured, we are actively trying to get this online for you guys =]
Comment 8 Tanvir Rahman 2011-10-08 00:46:55 UTC
Here is the logo with reduced size:
http://commons.wikimedia.org/wiki/File:Wikimedia_Bangladesh_site_logo.png

Thank you very much for your effort.
Comment 9 Rob Lanphier 2011-10-11 21:27:18 UTC
Added bug 31624 which blocks this one.
Comment 10 Sam Reed (reedy) 2011-10-15 02:27:02 UTC
Done
Comment 11 Leinad 2011-11-01 12:42:10 UTC
[[:bd:]] interwiki is not working, please enable it.
Comment 12 Sam Reed (reedy) 2011-11-01 19:56:51 UTC
(In reply to comment #11)
> [[:bd:]] interwiki is not working, please enable it.

Add it to the interwiki map, and then request and interwiki map update to the cluster
Comment 13 Leinad 2011-11-01 20:04:59 UTC
(In reply to comment #12)
> (In reply to comment #11)
> > [[:bd:]] interwiki is not working, please enable it.
> 
> Add it to the interwiki map, and then request and interwiki map update to the
> cluster

On http://meta.wikimedia.org/wiki/Interwiki_map there are listed only interwikis like "[[:wmde:]]", "[[:wmpl:]]", interwikis like "[[:de:]]", "[[:pl:]]" not exist there, but are working.

So shall I add to interwiki map [[:bd:]], or [[:wmbd:]], or both?
Comment 14 Tanvir Rahman 2011-11-02 00:50:02 UTC
(In reply to comment #13)
> So shall I add to interwiki map [[:bd:]], or [[:wmbd:]], or both?

I think both can be added.
Comment 15 Tanvir Rahman 2012-03-14 11:30:45 UTC
Resolved. I added only [[:wmbd:]] in the interwiki map. Rather not using [[:bd:]] as WMBD wiki is not a content wiki.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links